package game.escape.models;

import com.badlogic.gdx.math.Rectangle;
import com.badlogic.gdx.math.Vector2;

public class Player {

	public enum State {
		PARADO, ANDANDO, PULANDO
	}

	public static final float SPEED = 4f;	// unit per second
	static final float JUMP_VELOCITY = 1f;
	public static final float SIZE = 0.5f; // half a unit
	

	Vector2 	posicao = new Vector2();
	Vector2 	aceleracao = new Vector2();
	Vector2 	velocidade = new Vector2();
	Rectangle 	limites = new Rectangle();
	State		state = State.PARADO;

	public Player(Vector2 position) {
		this.posicao = position;
		this.limites.height = SIZE;
		this.limites.width = SIZE;
	}
	
	public Vector2 getPosicao() {
		return posicao;
	}

	public void setPosicao(Vector2 position) {
		this.posicao = position;
	}

	public Vector2 getAccel() {
		return aceleracao;
	}

	public void setAccel(Vector2 acceleration) {
		this.aceleracao = acceleration;
	}

	public Vector2 getVelocidade() {
		return velocidade;
	}

	public void setVelocidade(Vector2 velocity) {
		this.velocidade = velocity;
	}

	public Rectangle getLimites() {
		return limites;
	}

	public void setLimites(Rectangle bounds) {
		this.limites = bounds;
	}

	public State getState() {
		return state;
	}

	public void setState(State state) {
		this.state = state;
	}

	
	public void update(float delta) {
		posicao.add(velocidade.tmp().mul(delta));
	}
}
