package game.escape.control;

import game.escape.models.Mundo;
import game.escape.models.Player;

import java.util.HashMap;
import java.util.Map;

import com.badlogic.gdx.physics.box2d.World;
import com.sun.corba.se.spi.orbutil.fsm.State;

public class Controle {

	enum Keys {
		ESQUERDA, DIREITA
	}

	private Mundo 	mundo;
	private Player 	player;

	static Map<Keys, Boolean> keys = new HashMap<Controle.Keys, Boolean>();
	static {
		keys.put(Keys.ESQUERDA, false);
		keys.put(Keys.DIREITA, false);
	};

	public Controle(Mundo mundo) {
		this.mundo = mundo;
		this.player = mundo.getPlayer();
	}


	public void leftPressed() {
		keys.get(keys.put(Keys.ESQUERDA, true));
	}

	public void rightPressed() {
		keys.get(keys.put(Keys.DIREITA, true));
	}


	public void leftReleased() {
		keys.get(keys.put(Keys.ESQUERDA, false));
	}

	public void rightReleased() {
		keys.get(keys.put(Keys.DIREITA, false));
	}


	/** The main update method **/
	public void update(float delta) {
		processInput();
		player.update(delta);
	}

	private void processInput() {
		if (keys.get(Keys.ESQUERDA)) {
			// left is pressed
			player.getVelocidade().x = -Player.SPEED;
		}
		if (keys.get(Keys.DIREITA)) {
			// left is pressed
			player.getVelocidade().x = Player.SPEED;
		}
		// need to check if both or none direction are pressed, then Bob is idle
		if ((keys.get(Keys.ESQUERDA) && keys.get(Keys.DIREITA)) ||
				(!keys.get(Keys.ESQUERDA) && !(keys.get(Keys.DIREITA)))) {
			
			player.getAccel().x = 0;
			
			player.getVelocidade().x = 0;
		}
	}
}