package game.escape.view;

import game.escape.models.Mundo;
import game.escape.models.Player;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.OrthographicCamera;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer.ShapeType;
import com.badlogic.gdx.math.Rectangle;

public class RendererMundo {

	private static final float CAMERA_WIDTH = 10f;
	private static final float CAMERA_HEIGHT = 7f;

	private Mundo mundo;
	private OrthographicCamera camera;

	ShapeRenderer debugRenderer = new ShapeRenderer();

	private Texture playerTexture;

	private SpriteBatch spriteBatch;
	private boolean debug = false;
	private int width;
	private int height;
	private float pixPuX;	
	private float pixPuY;	
	
	public void setSize (int w, int h) {
		this.width = w;
		this.height = h;
		pixPuX = (float)width / CAMERA_WIDTH;
		pixPuY = (float)height / CAMERA_HEIGHT;
	}

	public RendererMundo(Mundo mundo, boolean debug) {
		this.mundo = mundo;
		this.camera = new OrthographicCamera(CAMERA_WIDTH, CAMERA_HEIGHT);
		this.camera.position.set(CAMERA_WIDTH / 2f, CAMERA_HEIGHT / 2f, 0);
		this.camera.update();
		this.debug = debug;
		spriteBatch = new SpriteBatch();
		loadTextures();
	}

	private void loadTextures() {
		playerTexture = new  Texture(Gdx.files.internal("images/player.png"));
	}

	public void render() {
		spriteBatch.begin();
			desenhar();
		spriteBatch.end();
	}

	private void desenhar() {
		Player player = mundo.getPlayer();
		spriteBatch.draw(playerTexture, player.getPosicao().x * pixPuX, player.getPosicao().y * pixPuY, player.SIZE * pixPuX, player.SIZE * pixPuY);
	}

}